package com.yuchen.saas.park.api.enums.property;

import lombok.Getter;
import org.nest.springwrap.core.log.exception.ServiceException;

@Getter
public enum BillStageEnum {
    BY_DAY(1, "按起始日划分，从起始日到1个月后的同日的前一日算一笔账单"),
    BY_FIRST_MONTH(2, "按自然月划分，首月非整自然月划为第一笔账单， 第二笔账单从下月1日开始"),
    BY_MONTH(3, "按自然月划分，首月非整自然月算一个月"),
    ;

    private int value;
    private String desc;

    BillStageEnum(int i, String desc) {
        value = i;
        this.desc = desc;
    }

    public static BillStageEnum convert(int intValue) {
        BillStageEnum[] allValues = BillStageEnum.values();
        for(int i = 0; i < allValues.length; i++) {
            if(allValues[i].value == intValue) {
                return allValues[i];
            }
        }
        throw new ServiceException("BillStageEnum 非法枚举参数值");
    }
}
